#!/usr/bin/make -f

# Exclude the binaries
export DH_GOLANG_EXCLUDES := cmd/

# Copy the test data into build directory
export DH_GOLANG_INSTALL_EXTRA := test-fixtures

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_configure:
	cp -av test-fixtures/detect-file-symlink-pwd/syml \
		_build/src/github.com/jesseduffield/go-getter/test-fixtures/detect-file-symlink-pwd/

override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to prevent autopkgtest failure
